For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

Cancel Sync

POST
https://app.polytomic.com/api/syncs/:id/cancel
POST
/api/syncs/:id/cancel
$curl -X POST https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/cancel \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "message": "Cancellation requested"
4 }
5}
Requests cancellation of any running executions on a model sync. Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll `GET /api/syncs/{id}/status` until the current execution reaches a terminal state (`completed`, `canceled`, or `failed`) to confirm cancellation has taken effect.
Was this page helpful?
Previous

Start Sync

Next

Requests cancellation of any running executions on a model sync.

Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll GET /api/syncs/{id}/status until the current execution reaches a terminal state (completed, canceled, or failed) to confirm cancellation has taken effect.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
The active execution of this sync ID will be cancelled.

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error